{ pkgs ? import <nixpkgs> {} }:

with pkgs;

mkShell {
  NIX_LD_LIBRARY_PATH = lib.makeLibraryPath [
    stdenv.cc.cc
    openssl
  ];
  # NIX_LD = lib.fileContents "${stdenv.cc}/nix-support/dynamic-linker";
  buildInputs = [
    python3
    # Nodejs and rust
    nodePackages.node-gyp
    emscripten
    nodejs
    tree-sitter
    pkgs.rustup
    # Shells
    pkgs.zsh

    # Tools
    pkgs.cargo-audit
    pkgs.nixfmt

    # Dependencies
    pkgs.cacert
    pkgs.openssl
    pkgs.git
    pkgs.zlib
    pkgs.pkg-config
  ];
  RUST_BACKTRACE = 1;
}
